package com.sw.mes.yb.pc.service.impl;

import com.sw.mes.core.base.BaseServiceImpl;
import com.sw.mes.yb.pc.dao.QualityPrintBarDAO;
import com.sw.mes.yb.pc.entity.QualityPrintBar;
import com.sw.mes.yb.pc.service.QualityPrintBarService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class QualityPrintBarServiceImpl extends BaseServiceImpl<QualityPrintBar> implements QualityPrintBarService {
    QualityPrintBarDAO qualityPrintBarDAO;

    @Autowired
    public void setDao(QualityPrintBarDAO qualityPrintBarDAO) {
        this.qualityPrintBarDAO = qualityPrintBarDAO;
        super.setBaseDao(qualityPrintBarDAO);
    }

    @Override
    public List<QualityPrintBar> getInfoBatchBar(String sectionNos){
        return qualityPrintBarDAO.getInfoBatchBar(sectionNos);
    }

    @Override
    public List<QualityPrintBar> getInfoBatchBarNew(List<String> sectionNos){
        return qualityPrintBarDAO.getInfoBatchBarNew(sectionNos);
    }
}
